> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a record

> Deletes a single record by its ID. The record **must have a status of `unreconciled`**. Records that are partially or fully reconciled cannot be deleted.



## OpenAPI

````yaml /openapi.json delete /records/{id}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /records/{id}:
    delete:
      summary: Delete a record
      description: >-
        Deletes a single record by its ID. The record **must have a status of
        `unreconciled`**. Records that are partially or fully reconciled cannot
        be deleted.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier of the record
      responses:
        '204':
          description: Record deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Record not found
        '409':
          description: >-
            Record cannot be deleted because it is already reconciled or
            partially reconciled
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````